Skip to main content

Ship Vendor Dispatch

POST 

/api/repairs/vendor-dispatches/:dispatch/ship

Ship Vendor Dispatch.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • carrier (optional): string, max:60
  • service (optional): string, max:80
  • tracking_number (optional): string, max:100
  • cost (optional): numeric, min:0, max:100000
  • bill_to (optional): Enum:in:"warranty","goodwill","customer","supplier"
  • shipped_at (optional): date
  • shipping_provider_integration_instance_id (required): integer, exists:integration_instances,id
  • rate_id (required): string, max:255
  • package (optional): array

Permission: repairs.vendor. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type